Equipment goods

Adsl modem

1)Full Rate ADSL 2+,Support Various Mainstream DSLAM 2)up to 24Mbps Downstreamand 1Mbps Upstream Date rate 3)The max distance is up to 5.4 Kilometers. 4)Support RFC 1483 BRIDGE 5)Support Classical IP over ATM (RFC1577) 6)Support PPP over ATM (RFC2364) 7)Plug and Play, USB 2.0/1.1 specification 8)Support PPP over Ethernet (RFC2516) 9)1 Ethernet,RJ11 and USB port.
Location : Room 3-205, No. 65, Da He Tou Rd., Ningbo, Zhejiang, China, 315012 Ningbo,
Contact : Yee Shalom, 086 0574 27661500

Good deal: buying from seller

Visit our guide for a secure transaction! Under no circumstances Algomtl can be held responsible for the content of the ads published. Only the sellers and buyers responsability is involved in case of dispute.
We invite you to read our terms of use. You can also visit our FAQ section and see our information section on the risks associated with counterfeiting.
This page is about importers and exporters of
Adsl modem

Search in a category : Equipment goods
Search in a category :
modem, adsl
Hungary 5530 Food
Dried Kabuli Chickpeas/Salted chickpeas

Monday, May 28, 2018

Quantity : 1500 Tonne - Price : €550/Tonne métrique

No Additives and No Preservatives Canned Chick Pea / Canned garbanzo beans / canned chickpeas 1. Specifications of Canned Chick Pea / Canned garbanzo beans / canned chickpeas The Selling Points NON-GMO Breakage Rate: ≤5% Ingredients: Chickpeas,corn starch,Modified corn starch...

Kertland Kft

  • 5530 - Budapest
  • +36 3 07 93 44 75
  • +36 3 05 71 66 85
???????? [English] – Export Pallets for Professionals – B2B Deals at Unbeatable Prices

Wednesday, April 09, 2025

Quantity : 39600 - Price : 2,00 €

Do you export? We supply! As a B2B surplus and clearance specialist, we offer ready-to-ship pallets ideal for wholesalers, distributors, and international resellers. ???? Available Products: - Amazon returns, overstocks, end-of-line items - Electronics, appliances, clothing, accessories...

TRANSIDI

  • 22440 - PLOUFRAGAN
  • 09 72 63 03 26
  • 33(0)603670505
Spain 03330 B2B Services
Burlap 82 gr/m2, 160cm width

Saturday, December 16, 2017

Quantity : 100.000 - Price : 0,70 € / m

Warp and weft to make jute fabrics, one of the most versatile natural fibresused in various sectors like gardening, footwear, construction, agricultural, automotive industries, containers for planting young trees, soil and erosion control, etc. A jute hessian cloth in 160cm width and 82gr/m2...

Deyute

  • 03330 - Crevillente
  • +34 9 66 68 04 55